summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/mythtv/trunk
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core-testing/mythtv/trunk')
-rwxr-xr-xabs/core-testing/mythtv/trunk/clean_all.sh22
-rw-r--r--abs/core-testing/mythtv/trunk/morethemes/PKGBUILD54
-rwxr-xr-xabs/core-testing/mythtv/trunk/mp_all.sh30
-rw-r--r--abs/core-testing/mythtv/trunk/mytharchive/PKGBUILD51
-rw-r--r--abs/core-testing/mythtv/trunk/mythbrowser/PKGBUILD51
-rw-r--r--abs/core-testing/mythtv/trunk/mythgallery/PKGBUILD51
-rw-r--r--abs/core-testing/mythtv/trunk/mythgame/PKGBUILD51
-rw-r--r--abs/core-testing/mythtv/trunk/mythmovies/PKGBUILD51
-rw-r--r--abs/core-testing/mythtv/trunk/mythmusic/PKGBUILD54
-rw-r--r--abs/core-testing/mythtv/trunk/mythnetvision/PKGBUILD51
-rw-r--r--abs/core-testing/mythtv/trunk/mythnews/PKGBUILD51
-rwxr-xr-xabs/core-testing/mythtv/trunk/myththemes/PKGBUILD50
-rwxr-xr-xabs/core-testing/mythtv/trunk/mythtv/PKGBUILD97
-rw-r--r--abs/core-testing/mythtv/trunk/mythtv/menu-xml/HOST_SETTINGS.xml94
-rw-r--r--abs/core-testing/mythtv/trunk/mythtv/menu-xml/is.xml3
-rw-r--r--abs/core-testing/mythtv/trunk/mythtv/menu-xml/library.xml.patch12
-rw-r--r--abs/core-testing/mythtv/trunk/mythtv/menu-xml/linhes.xml59
-rw-r--r--abs/core-testing/mythtv/trunk/mythtv/menu-xml/mainmenu.xml.patch38
-rw-r--r--abs/core-testing/mythtv/trunk/mythtv/menu-xml/mythbackup.xml20
-rw-r--r--abs/core-testing/mythtv/trunk/mythtv/menu-xml/mythrestore.xml20
-rw-r--r--abs/core-testing/mythtv/trunk/mythtv/menu-xml/optical_menu.xml.patch16
-rwxr-xr-xabs/core-testing/mythtv/trunk/mythtv/menu-xml/original/create_patch.sh5
-rw-r--r--abs/core-testing/mythtv/trunk/mythtv/menu-xml/setup.xml111
-rw-r--r--abs/core-testing/mythtv/trunk/mythtv/menu-xml/siriusmenu.xml419
-rw-r--r--abs/core-testing/mythtv/trunk/mythtv/menu-xml/update.xml20
-rw-r--r--abs/core-testing/mythtv/trunk/mythtv/menu-xml/update2.xml26
-rw-r--r--abs/core-testing/mythtv/trunk/mythtv/menu-xml/util_menu.xml.patch16
-rw-r--r--abs/core-testing/mythtv/trunk/mythtv/menu-xml/xmmenu.xml574
-rwxr-xr-xabs/core-testing/mythtv/trunk/mythtv/myth.sh4
-rwxr-xr-xabs/core-testing/mythtv/trunk/mythtv/mythbackend38
-rw-r--r--abs/core-testing/mythtv/trunk/mythtv/mythbackend.lr9
-rwxr-xr-xabs/core-testing/mythtv/trunk/mythtv/mythbackend.sh117
-rw-r--r--abs/core-testing/mythtv/trunk/mythtv/mythfrontend.lr9
-rwxr-xr-xabs/core-testing/mythtv/trunk/mythtv/mythtv.install30
-rwxr-xr-xabs/core-testing/mythtv/trunk/mythtv/pretty9
-rw-r--r--abs/core-testing/mythtv/trunk/mythtv/smolt_jump.patch30
-rw-r--r--abs/core-testing/mythtv/trunk/mythvideo/PKGBUILD51
-rw-r--r--abs/core-testing/mythtv/trunk/mythweather/PKGBUILD51
-rw-r--r--abs/core-testing/mythtv/trunk/mythweb/PKGBUILD50
-rw-r--r--abs/core-testing/mythtv/trunk/mythweb/mythweb.install10
-rw-r--r--abs/core-testing/mythtv/trunk/mythzoneminder/PKGBUILD51
41 files changed, 0 insertions, 2556 deletions
diff --git a/abs/core-testing/mythtv/trunk/clean_all.sh b/abs/core-testing/mythtv/trunk/clean_all.sh
deleted file mode 100755
index b56450e..0000000
--- a/abs/core-testing/mythtv/trunk/clean_all.sh
+++ /dev/null
@@ -1,22 +0,0 @@
-#!/bin/sh
-
-buildlist=('mythtv' 'mytharchive' 'mythbrowser' 'mythgallery' 'mythgame' 'mythmovies' 'mythmusic' 'mythnetvision' 'mythnews' 'mythvideo' 'mythweather' 'mythzoneminder' 'mythweb' 'myththemes' 'morethemes')
-
-# clean up current directory
-rm -f *~
-
-# clean up mythtv directories
-for i in `echo ${buildlist[@]:0}`
-do
- echo "-- cleaning $i"
- cd ./$i
-
- # clean up everything
- rm -rf pkg src
- rm -f *~
-
- cd ..
-done
-
-echo "DONE!"
-
diff --git a/abs/core-testing/mythtv/trunk/morethemes/PKGBUILD b/abs/core-testing/mythtv/trunk/morethemes/PKGBUILD
deleted file mode 100644
index c8f892e..0000000
--- a/abs/core-testing/mythtv/trunk/morethemes/PKGBUILD
+++ /dev/null
@@ -1,54 +0,0 @@
-pkgname=morethemes-svn
-pkgver=23790
-pkgrel=1
-pkgdesc="Additional themes for MythTV"
-url="http://www.mythtv.org"
-license="GPL"
-arch=('i686' 'x86_64')
-
-depends=('mythtv-svn')
-conflicts=('morethemes')
-groups=('mythtv-extras-svn')
-
-patches=()
-source=(`echo ${patches[@]:0}`)
-
-_svntrunk=http://cvs.mythtv.org/svn/trunk/themes
-_svnmod=themes
-
-
-build() {
-
- svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
- svn revert -R $_svnmod
-
- cd $startdir/src/$_svnmod
-
- echo "--------------------------applying patches----------------------------------------------------"
- for i in `echo ${patches[@]:0} `
- do
- echo applying $i
- echo "-----------------------------"
- patch -Np0 -i ${startdir}/src/$i || return 1
- done
- echo "--------------------------done applying patches-----------------------------------------------"
-
- [ "$CARCH" = "i686" ] && ARCH="i686"
- [ "$CARCH" = "x86_64" ] && ARCH="x86-64"
-
- # clean up
- make distclean
-
- # configure
-# ./configure --prefix=/usr || return 1
- ./configure --prefix=/usr
-
- # build and install
- . /etc/profile
-# make || return 1
-# make INSTALL_ROOT=$startdir/pkg install || return 1
- make
- make INSTALL_ROOT=$startdir/pkg install
- return 0
-#### THIS PKGBUILD IS HACKED TO BUILD WITH ZERO CONTENT RIGHT NOW ####
-}
diff --git a/abs/core-testing/mythtv/trunk/mp_all.sh b/abs/core-testing/mythtv/trunk/mp_all.sh
deleted file mode 100755
index 4aefd89..0000000
--- a/abs/core-testing/mythtv/trunk/mp_all.sh
+++ /dev/null
@@ -1,30 +0,0 @@
-#!/bin/sh
-pkgver=23790
-pkgrel=1
-
-# NOTE: Make sure to build and install mythtv first BEFORE building anything else
-buildlist=('mythtv' 'mytharchive' 'mythbrowser' 'mythgallery' 'mythgame' 'mythmovies' 'mythmusic' 'mythnetvision' 'mythnews' 'mythvideo' 'mythweather' 'mythzoneminder' 'mythweb' 'myththemes' 'morethemes')
-
-# build and install
-for i in `echo ${buildlist[@]:0}`
-do
- echo "---------- building $i ----------"
- cd ./$i
-
- # set svn version in the PKGBUILD
- sed -i s/^pkgver=.*/pkgver=$pkgver/ PKGBUILD
- sed -i s/^pkgrel=.*/pkgrel=$pkgrel/ PKGBUILD
-
- # make the package
- mp -f -i --holdver --skipinteg || exit 1
-
- # clean up afterwards
- rm -rf pkg
- rm -f *~
-
- cd ..
-done
-
-echo ""
-echo "DONE!"
-
diff --git a/abs/core-testing/mythtv/trunk/mytharchive/PKGBUILD b/abs/core-testing/mythtv/trunk/mytharchive/PKGBUILD
deleted file mode 100644
index 20e9904..0000000
--- a/abs/core-testing/mythtv/trunk/mytharchive/PKGBUILD
+++ /dev/null
@@ -1,51 +0,0 @@
-pkgname=mytharchive-svn
-pkgver=23790
-pkgrel=1
-pkgdesc="MythTV plugin that lets you create DVDs from or archive your recorded shows."
-url="http://www.mythtv.org"
-license="GPL"
-arch=('i686' 'x86_64')
-
-depends=('mythtv-svn' 'libxmu' 'mysql-python' 'pil' 'dvdauthor' 'mjpegtools' 'transcode')
-conflicts=('mytharchive')
-groups=('mythtv-extras-svn')
-
-patches=()
-source=(`echo ${patches[@]:0}`)
-
-_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
-_svnmod=mythplugins
-
-
-build() {
-
- svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
- svn revert -R $_svnmod
-
- cd $startdir/src/$_svnmod
-
- echo "--------------------------applying patches----------------------------------------------------"
- for i in `echo ${patches[@]:0} `
- do
- echo applying $i
- echo "-----------------------------"
- patch -Np0 -i ${startdir}/src/$i || return 1
- done
- echo "--------------------------done applying patches-----------------------------------------------"
-
- [ "$CARCH" = "i686" ] && ARCH="i686"
- [ "$CARCH" = "x86_64" ] && ARCH="x86-64"
-
- # clean up
- make distclean
-
- # configure
- ./configure --prefix=/usr --cpu=${ARCH} --disable-all --enable-opengl \
- --enable-mytharchive || return 1
-
- # build and install
- . /etc/profile
- make || return 1
- make INSTALL_ROOT=$startdir/pkg install || return 1
-
-}
diff --git a/abs/core-testing/mythtv/trunk/mythbrowser/PKGBUILD b/abs/core-testing/mythtv/trunk/mythbrowser/PKGBUILD
deleted file mode 100644
index fdcefe0..0000000
--- a/abs/core-testing/mythtv/trunk/mythbrowser/PKGBUILD
+++ /dev/null
@@ -1,51 +0,0 @@
-pkgname=mythbrowser-svn
-pkgver=23790
-pkgrel=1
-pkgdesc="Mini web browser for MythTV"
-url="http://www.mythtv.org"
-license="GPL"
-arch=('i686' 'x86_64')
-
-depends=('mythtv-svn' 'wget')
-conflicts=('mythbrowser')
-groups=('mythtv-extras-svn')
-
-patches=()
-source=(`echo ${patches[@]:0}`)
-
-_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
-_svnmod=mythplugins
-
-
-build() {
-
- svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
- svn revert -R $_svnmod
-
- cd $startdir/src/$_svnmod
-
- echo "--------------------------applying patches----------------------------------------------------"
- for i in `echo ${patches[@]:0} `
- do
- echo applying $i
- echo "-----------------------------"
- patch -Np0 -i ${startdir}/src/$i || return 1
- done
- echo "--------------------------done applying patches-----------------------------------------------"
-
- [ "$CARCH" = "i686" ] && ARCH="i686"
- [ "$CARCH" = "x86_64" ] && ARCH="x86-64"
-
- # clean up
- make distclean
-
- # configure
- ./configure --prefix=/usr --cpu=${ARCH} --disable-all --enable-opengl \
- --enable-mythbrowser || return 1
-
- # build and install
- . /etc/profile
- make || return 1
- make INSTALL_ROOT=$startdir/pkg install || return 1
-
-}
diff --git a/abs/core-testing/mythtv/trunk/mythgallery/PKGBUILD b/abs/core-testing/mythtv/trunk/mythgallery/PKGBUILD
deleted file mode 100644
index 6415b96..0000000
--- a/abs/core-testing/mythtv/trunk/mythgallery/PKGBUILD
+++ /dev/null
@@ -1,51 +0,0 @@
-pkgname=mythgallery-svn
-pkgver=23790
-pkgrel=1
-pkgdesc="Image gallery plugin for MythTV"
-url="http://www.mythtv.org"
-license="GPL"
-arch=('i686' 'x86_64')
-
-depends=('mythtv-svn' 'libexif' 'libtiff')
-conflicts=('mythgallery')
-groups=('mythtv-extras-svn')
-
-patches=()
-source=(`echo ${patches[@]:0}`)
-
-_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
-_svnmod=mythplugins
-
-
-build() {
-
- svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
- svn revert -R $_svnmod
-
- cd $startdir/src/$_svnmod
-
- echo "--------------------------applying patches----------------------------------------------------"
- for i in `echo ${patches[@]:0} `
- do
- echo applying $i
- echo "-----------------------------"
- patch -Np0 -i ${startdir}/src/$i || return 1
- done
- echo "--------------------------done applying patches-----------------------------------------------"
-
- [ "$CARCH" = "i686" ] && ARCH="i686"
- [ "$CARCH" = "x86_64" ] && ARCH="x86-64"
-
- # clean up
- make distclean
-
- # configure
- ./configure --prefix=/usr --cpu=${ARCH} --disable-all --enable-opengl \
- --enable-mythgallery || return 1
-
- # build and install
- . /etc/profile
- make || return 1
- make INSTALL_ROOT=$startdir/pkg install || return 1
-
-}
diff --git a/abs/core-testing/mythtv/trunk/mythgame/PKGBUILD b/abs/core-testing/mythtv/trunk/mythgame/PKGBUILD
deleted file mode 100644
index e7d09ab..0000000
--- a/abs/core-testing/mythtv/trunk/mythgame/PKGBUILD
+++ /dev/null
@@ -1,51 +0,0 @@
-pkgname=mythgame-svn
-pkgver=23790
-pkgrel=1
-pkgdesc="Emulation plugin for MythTV"
-url="http://www.mythtv.org"
-license="GPL"
-arch=('i686' 'x86_64')
-
-depends=('mythtv-svn' 'zlib')
-conflicts=('mythgame')
-groups=('mythtv-extras-svn')
-
-patches=()
-source=(`echo ${patches[@]:0}`)
-
-_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
-_svnmod=mythplugins
-
-
-build() {
-
- svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
- svn revert -R $_svnmod
-
- cd $startdir/src/$_svnmod
-
- echo "--------------------------applying patches----------------------------------------------------"
- for i in `echo ${patches[@]:0} `
- do
- echo applying $i
- echo "-----------------------------"
- patch -Np0 -i ${startdir}/src/$i || return 1
- done
- echo "--------------------------done applying patches-----------------------------------------------"
-
- [ "$CARCH" = "i686" ] && ARCH="i686"
- [ "$CARCH" = "x86_64" ] && ARCH="x86-64"
-
- # clean up
- make distclean
-
- # configure
- ./configure --prefix=/usr --cpu=${ARCH} --disable-all --enable-opengl \
- --enable-mythgame || return 1
-
- # build and install
- . /etc/profile
- make || return 1
- make INSTALL_ROOT=$startdir/pkg install || return 1
-
-}
diff --git a/abs/core-testing/mythtv/trunk/mythmovies/PKGBUILD b/abs/core-testing/mythtv/trunk/mythmovies/PKGBUILD
deleted file mode 100644
index f05180c..0000000
--- a/abs/core-testing/mythtv/trunk/mythmovies/PKGBUILD
+++ /dev/null
@@ -1,51 +0,0 @@
-pkgname=mythmovies-svn
-pkgver=23790
-pkgrel=1
-pkgdesc="Displays information about movies playing in the area."
-url="http://www.mythtv.org"
-license="GPL"
-arch=('i686' 'x86_64')
-
-depends=('mythtv-svn')
-conflicts=('mythmovies')
-groups=('mythtv-extras-svn')
-
-patches=()
-source=(`echo ${patches[@]:0}`)
-
-_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
-_svnmod=mythplugins
-
-
-build() {
-
- svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
- svn revert -R $_svnmod
-
- cd $startdir/src/$_svnmod
-
- echo "--------------------------applying patches----------------------------------------------------"
- for i in `echo ${patches[@]:0} `
- do
- echo applying $i
- echo "-----------------------------"
- patch -Np0 -i ${startdir}/src/$i || return 1
- done
- echo "--------------------------done applying patches-----------------------------------------------"
-
- [ "$CARCH" = "i686" ] && ARCH="i686"
- [ "$CARCH" = "x86_64" ] && ARCH="x86-64"
-
- # clean up
- make distclean
-
- # configure
- ./configure --prefix=/usr --cpu=${ARCH} --disable-all --enable-opengl \
- --enable-mythmovies || return 1
-
- # build and install
- . /etc/profile
- make || return 1
- make INSTALL_ROOT=$startdir/pkg install || return 1
-
-}
diff --git a/abs/core-testing/mythtv/trunk/mythmusic/PKGBUILD b/abs/core-testing/mythtv/trunk/mythmusic/PKGBUILD
deleted file mode 100644
index 3d9f5ce..0000000
--- a/abs/core-testing/mythtv/trunk/mythmusic/PKGBUILD
+++ /dev/null
@@ -1,54 +0,0 @@
-pkgname=mythmusic-svn
-pkgver=23790
-pkgrel=1
-pkgdesc="Music playing plugin for MythTV"
-url="http://www.mythtv.org"
-license="GPL"
-arch=('i686' 'x86_64')
-
-depends=('mythtv-svn' 'libid3tag' 'libmad' 'libvorbis' 'flac>=1.1.4' 'libcdaudio' \
- 'cdparanoia' 'fftw2' 'sdl' 'faad2>=2.6.1' 'lame' 'taglib' \
- 'libvisual-plugins' 'libvisual-projectm')
-conflicts=('mythmusic')
-groups=('mythtv-extras-svn')
-
-patches=()
-source=(`echo ${patches[@]:0}`)
-
-_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
-_svnmod=mythplugins
-
-
-build() {
-
- svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
- svn revert -R $_svnmod
-
- cd $startdir/src/$_svnmod
-
- echo "--------------------------applying patches----------------------------------------------------"
- for i in `echo ${patches[@]:0} `
- do
- echo applying $i
- echo "-----------------------------"
- patch -Np0 -i ${startdir}/src/$i || return 1
- done
- echo "--------------------------done applying patches-----------------------------------------------"
-
- [ "$CARCH" = "i686" ] && ARCH="i686"
- [ "$CARCH" = "x86_64" ] && ARCH="x86-64"
-
- # clean up
- make distclean
-
- # configure
- ./configure --prefix=/usr --cpu=${ARCH} --disable-all --enable-opengl \
- --enable-mythmusic --enable-libvisual --enable-fftw --enable-sdl \
- --enable-aac || return 1
-
- # build and install
- . /etc/profile
- make || return 1
- make INSTALL_ROOT=$startdir/pkg install || return 1
-
-}
diff --git a/abs/core-testing/mythtv/trunk/mythnetvision/PKGBUILD b/abs/core-testing/mythtv/trunk/mythnetvision/PKGBUILD
deleted file mode 100644
index c820ac5..0000000
--- a/abs/core-testing/mythtv/trunk/mythnetvision/PKGBUILD
+++ /dev/null
@@ -1,51 +0,0 @@
-pkgname=mythnetvision-svn
-pkgver=23790
-pkgrel=1
-pkgdesc="Internet video plugin for MythTV"
-url="http://www.mythtv.org"
-license="GPL"
-arch=('i686' 'x86_64')
-
-depends=('mythtv-svn' 'python-pycurl' 'flashplugin')
-conflicts=('mythnetvision')
-groups=('mythtv-extras-svn')
-
-patches=()
-source=(`echo ${patches[@]:0}`)
-
-_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
-_svnmod=mythplugins
-
-
-build() {
-
- svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
- svn revert -R $_svnmod
-
- cd $startdir/src/$_svnmod
-
- echo "--------------------------applying patches----------------------------------------------------"
- for i in `echo ${patches[@]:0} `
- do
- echo applying $i
- echo "-----------------------------"
- patch -Np0 -i ${startdir}/src/$i || return 1
- done
- echo "--------------------------done applying patches-----------------------------------------------"
-
- [ "$CARCH" = "i686" ] && ARCH="i686"
- [ "$CARCH" = "x86_64" ] && ARCH="x86-64"
-
- # clean up
- make distclean
-
- # configure
- ./configure --prefix=/usr --cpu=${ARCH} --disable-all --enable-opengl \
- --enable-mythnetvision || return 1
-
- # build and install
- . /etc/profile
- make || return 1
- make INSTALL_ROOT=$startdir/pkg install || return 1
-
-}
diff --git a/abs/core-testing/mythtv/trunk/mythnews/PKGBUILD b/abs/core-testing/mythtv/trunk/mythnews/PKGBUILD
deleted file mode 100644
index 630325c..0000000
--- a/abs/core-testing/mythtv/trunk/mythnews/PKGBUILD
+++ /dev/null
@@ -1,51 +0,0 @@
-pkgname=mythnews-svn
-pkgver=23790
-pkgrel=1
-pkgdesc="News checking plugin for MythTV"
-url="http://www.mythtv.org"
-license="GPL"
-arch=('i686' 'x86_64')
-
-depends=('mythtv-svn')
-conflicts=('mythnews')
-groups=('mythtv-extras-svn')
-
-patches=()
-source=(`echo ${patches[@]:0}`)
-
-_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
-_svnmod=mythplugins
-
-
-build() {
-
- svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
- svn revert -R $_svnmod
-
- cd $startdir/src/$_svnmod
-
- echo "--------------------------applying patches----------------------------------------------------"
- for i in `echo ${patches[@]:0} `
- do
- echo applying $i
- echo "-----------------------------"
- patch -Np0 -i ${startdir}/src/$i || return 1
- done
- echo "--------------------------done applying patches-----------------------------------------------"
-
- [ "$CARCH" = "i686" ] && ARCH="i686"
- [ "$CARCH" = "x86_64" ] && ARCH="x86-64"
-
- # clean up
- make distclean
-
- # configure
- ./configure --prefix=/usr --cpu=${ARCH} --disable-all --enable-opengl \
- --enable-mythnews || return 1
-
- # build and install
- . /etc/profile
- make || return 1
- make INSTALL_ROOT=$startdir/pkg install || return 1
-
-}
diff --git a/abs/core-testing/mythtv/trunk/myththemes/PKGBUILD b/abs/core-testing/mythtv/trunk/myththemes/PKGBUILD
deleted file mode 100755
index 9e10ba2..0000000
--- a/abs/core-testing/mythtv/trunk/myththemes/PKGBUILD
+++ /dev/null
@@ -1,50 +0,0 @@
-pkgname=myththemes-svn
-pkgver=23790
-pkgrel=1
-pkgdesc="Themes for MythTV"
-url="http://www.mythtv.org"
-license="GPL"
-arch=('i686' 'x86_64')
-
-depends=('mythtv-svn')
-conflicts=('myththemes')
-groups=('mythtv-extras-svn')
-
-patches=()
-source=(`echo ${patches[@]:0}`)
-
-_svntrunk=http://cvs.mythtv.org/svn/trunk/myththemes
-_svnmod=myththemes
-
-
-build() {
-
- svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
- svn revert -R $_svnmod
-
- cd $startdir/src/$_svnmod
-
- echo "--------------------------applying patches----------------------------------------------------"
- for i in `echo ${patches[@]:0} `
- do
- echo applying $i
- echo "-----------------------------"
- patch -Np0 -i ${startdir}/src/$i || return 1
- done
- echo "--------------------------done applying patches-----------------------------------------------"
-
- [ "$CARCH" = "i686" ] && ARCH="i686"
- [ "$CARCH" = "x86_64" ] && ARCH="x86-64"
-
- # clean up
- make distclean
-
- # configure
- ./configure --prefix=/usr || return 1
-
- # build and install
- . /etc/profile
- make || return 1
- make INSTALL_ROOT=$startdir/pkg install || return 1
-
-}
diff --git a/abs/core-testing/mythtv/trunk/mythtv/PKGBUILD b/abs/core-testing/mythtv/trunk/mythtv/PKGBUILD
deleted file mode 100755
index 65b12db..0000000
--- a/abs/core-testing/mythtv/trunk/mythtv/PKGBUILD
+++ /dev/null
@@ -1,97 +0,0 @@
-pkgname=mythtv-svn
-pkgver=23790
-pkgrel=1
-pkgdesc="A personal video recorder for Linux"
-url="http://www.mythtv.org"
-license="GPL"
-depends=('bash' 'mysql-clients>=5.0' 'qt' 'lame' 'lirc-utils' 'ffmpeg' \
- 'faad2' 'libxv' 'libxvmc' 'libavc1394' 'libdc1394' 'libiec61883' \
- 'perl-net-upnp' 'libvdpau')
-makedepends=('libgl' 'subversion')
-conflicts=('mythtv')
-replaces=()
-groups=('pvr')
-#backup=()
-#options=(!strip)
-#MAKEFLAGS="-j6"
-install='mythtv.install'
-
-patchs=()
-#patchs=('smolt_jump.patch')
-source=('mythbackend' 'myth.sh' `echo ${patchs[@]:0}` 'mythbackend.lr' 'mythfrontend.lr' 'pretty')
-arch=('i686' 'x86_64')
-#md5sums=()
-
-_svntrunk=http://cvs.mythtv.org/svn/trunk/mythtv
-_svnmod=mythtv
-
-build() {
-
- # get clean copy from SVN repo
- svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
- svn revert -R $_svnmod
-
- cd $startdir/src/mythtv
-
- # apply patches
- echo "--------------------------applying patches----------------------------------------------------"
- for i in `echo ${patchs[@]:0} `
- do
- echo applying $i
- echo "-----------------------------"
- patch -Np0 -i ${startdir}/src/$i || return 1
- done
- echo "--------------------------done applying patches-----------------------------------------------"
-
- sed -i -e "s/\`(svnversion \$\${SVNTREEDIR} 2>\/dev\/null) || echo Unknown\`/$pkgver/" version.pro
-
- [ "$CARCH" = "i686" ] && ARCH="i686"
- [ "$CARCH" = "x86_64" ] && ARCH="x86-64"
-
- # clean up from last build
- make distclean
-
- # configure
- ./configure --prefix=/usr --arch=${ARCH} \
- --enable-vdpau --enable-xvmc --enable-xvmc-pro \
- --enable-opengl-vsync --enable-libfaad --enable-dvb --enable-firewire \
- --compile-type=release --with-bindings=perl,python \
- --enable-audio-alsa --disable-audio-jack --disable-audio-pulseoutput || return 1
-
- # build and install
- . /etc/profile
- make || return 1
- make INSTALL_ROOT=$startdir/pkg install || return 1
-
- # install db schema, scripts and docs
- install -m0644 database/mc.sql $startdir/pkg/usr/share/mythtv/ || return 1
- install -D -m0755 ../mythbackend $startdir/pkg/etc/rc.d/mythbackend || return 1
-# cp -r docs $startdir/pkg/usr/share/mythtv/ || return 1
- rsync -arp --exclude .svn --delete-excluded docs $startdir/pkg/usr/share/mythtv/ || return 1
-
- # install contrib
- rsync -arp --exclude .svn --delete-excluded contrib $startdir/pkg/usr/share/mythtv/ || return 1
- #cp -r contrib $startdir/pkg/usr/share/mythtv/ || return 1
-
- # patch the xml LinHES style
- cp -r $startdir/menu-xml/*.xml $startdir/pkg/usr/share/mythtv/themes/defaultmenu/
- cd $startdir/pkg/usr/share/mythtv/themes/defaultmenu
- patch -p0 < $startdir/menu-xml/mainmenu.xml.patch || return 1
- patch -p0 < $startdir/menu-xml/optical_menu.xml.patch || return 1
- patch -p0 < $startdir/menu-xml/library.xml.patch || return 1
- patch -p0 < $startdir/menu-xml/util_menu.xml.patch || return 1
-
- # make log dir
- mkdir -p $startdir/pkg/var/log/mythtv
- chown 1000.1000 $startdir/pkg/var/log/mythtv
- mkdir -p $startdir/pkg/etc/logrotate.d
- cp $startdir/src/*.lr $startdir/pkg/etc/logrotate.d
- mkdir -p $startdir/pkg/etc/cron.hourly/
- install -m0755 $startdir/src/pretty $startdir/pkg/etc/cron.hourly/
-}
-
-md5sums=('7ef6de58240e7aad389a0b13d91b1cf6'
- '2babd4b8e146a7538d18dcd55695b0be'
- 'f735805a80b0d1180dee01f9df1b7004'
- 'f407d6af23e74a49540755420f84fa58'
- 'ca547c201e3dd4bf3882bebf7c648652')
diff --git a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/HOST_SETTINGS.xml b/abs/core-testing/mythtv/trunk/mythtv/menu-xml/HOST_SETTINGS.xml
deleted file mode 100644
index ac52497..0000000
--- a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/HOST_SETTINGS.xml
+++ /dev/null
@@ -1,94 +0,0 @@
-<mythmenu name="HOST_SETTINGS">
-
- <button>
- <type>MV_NETWORK_SETUP_MENU</type>
- <text>Network Settings</text>
- <action>EXEC mythinstall -s network </action>
- </button>
-
- <button>
- <type>MV_NETWORK_SETUP_MENU</type>
- <text>DDNS Settings</text>
- <action>EXEC mythinstall -s ddns </action>
- </button>
- <button>
- <type>MV_SYSTEM_SETUP_MENU</type>
- <text>System Type</text>
- <action>EXEC mythinstall -s hostype </action>
- </button>
-
- <button>
- <type>MV_SCREENSAVER_SETUP_MENU</type>
- <text>Screensaver Settings</text>
- <action>EXEC mythinstall -s screensaver </action>
- </button>
-
- <button>
- <type>MV_IR_SETUP_MENU</type>
- <text>Remotes</text>
- <action>EXEC mythinstall -s ir </action>
- </button>
-
- <button>
- <type>MV_MISC_SETUP_MENU</type>
- <text>Miscellanous Settings</text>
- <action>EXEC mythinstall -s misc </action>
- </button>
-
- <button>
- <type>MV_SOFTWARE_MENU</type>
- <text>Software</text>
- <action>EXEC mythinstall -s plugins </action>
- </button>
-
- <button>
- <type>MV_SHUTDOWN_SETUP_MENU</type>
- <text>Shutdown Settings</text>
- <action>EXEC mythinstall -s sleep </action>
- </button>
-
- <button>
- <type>MV_ADVANCED_X_SETUP_MENU</type>
- <text>Display Settings</text>
- <action>EXEC mythinstall -s advancedX</action>
- </button>
-
- <button>
- <type>MV_ADVANCED_SETUP_MENU</type>
- <text>Advanced Settings</text>
- <action>EXEC mythinstall -s advanced</action>
- </button>
-
- <button>
- <type>MV_AUDIO_SETUP_MENU</type>
- <text>Audio Settings</text>
- <action>EXEC mythinstall -s sound </action>
- </button>
-
- <button>
- <type>MV_ACCESS_SETUP_MENU</type>
- <text>Access Control</text>
- <action>EXEC mythinstall -s accesscontrol </action>
- </button>
-
- <button>
- <type>MV_USER_SETUP_MENU</type>
- <text>User Accounts</text>
- <action>EXEC mythinstall -s user </action>
- </button>
-
- <button>
- <type>MV_WEBACCESS_SETUP_MENU</type>
- <text>Web Security</text>
- <action>EXEC mythinstall -s webuser </action>
- </button>
-
- <!--
- <button>
- <type>SETUP_MENU</type>
- <text>Settings Profile Manager</text>
- <action>EXEC mythinstall -t </action>
- </button>
- -->
-
-</mythmenu>
diff --git a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/is.xml b/abs/core-testing/mythtv/trunk/mythtv/menu-xml/is.xml
deleted file mode 100644
index 88b7e6b..0000000
--- a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/is.xml
+++ /dev/null
@@ -1,3 +0,0 @@
-<mythmenu name="Internet Steams">
-
-</mythmenu>
diff --git a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/library.xml.patch b/abs/core-testing/mythtv/trunk/mythtv/menu-xml/library.xml.patch
deleted file mode 100644
index 81ea604..0000000
--- a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/library.xml.patch
+++ /dev/null
@@ -1,12 +0,0 @@
---- library.xml.orig 2009-10-16 12:45:44.000000000 +0000
-+++ library.xml 2009-10-16 17:21:44.000000000 +0000
-@@ -123,8 +123,7 @@
- <text lang="HU">Online folyam lejátszása</text>
- <description></description>
- <description lang="DE"></description>
-- <action>PLUGIN mythstream</action>
-- <depends>mythstream</depends>
-+ <action>MENU is.xml</action>
- </button>
-
- <button>
diff --git a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/linhes.xml b/abs/core-testing/mythtv/trunk/mythtv/menu-xml/linhes.xml
deleted file mode 100644
index ebc848b..0000000
--- a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/linhes.xml
+++ /dev/null
@@ -1,59 +0,0 @@
-<mythmenu name="LinHES">
-
- <button>
- <type>SETUP_GENERAL</type>
- <text>MythTV Configuration</text>
- <text lang="IT">Impostazioni</text>
- <text lang="ES">Configuración</text>
- <text lang="DE">Zubehör / Konfiguration</text>
- <text lang="DA">Tilbehør/Indstillinger</text>
- <text lang="IS">Uppsetning</text>
- <text lang="NL">Configuratie</text>
- <text lang="PT">Utensílios</text>
- <text lang="SV">Verktyg / Inställningar</text>
- <text lang="JA">設å®~Z</text>
- <text lang="FI">Oheis/Asetukset</text>
- <text lang="ZH_TW">å·¥å~E·/設å®~Z</text>
- <text lang="SL">Nastavitve</text>
- <text lang="ET">Utiliidid / sätted</text>
- <text lang="RU">УÑ~BилиÑ~BÑ~K / Ð~]аÑ~AÑ~BÑ~@ойки</text>
- <text lang="AR">تضبÙ~Jطات</text>
- <text lang="PL">NarzÄ~Ydzia / ustawienia</text>
- <text lang="HE">×¢×~Vר×~Y×~] / ×~T×~R×~Sר×~Uת</text>
- <text lang="HU">Eszközök / Beállítások</text>
- <alttext lang="DE">Verschiedenes</alttext>
- <alttext lang="SV">Inställningar</alttext>
- <alttext lang="ET">Sätted</alttext>
- <alttext lang="RU">Ð~]аÑ~AÑ~BÑ~@ойки</alttext>
- <alttext lang="AR">تضبÙ~Jطات</alttext>
- <description>Configure MythTV and plugins</description>
- <description lang="DE">MythTV und Plugins konfigurieren</description>
- <action>MENU util_menu.xml</action>
- </button>
-
- <button>
- <type>LINHES_SETUP</type>
- <text>LinHES Configuration</text>
- <action>MENU HOST_SETTINGS.xml</action>
- </button>
-
- <button>
- <type>BACKUP</type>
- <text>Backup LinHES</text>
- <action>MENU mythbackup.xml</action>
- </button>
-
- <button>
- <type>RESTORE</type>
- <text>Restore LinHES</text>
- <action>MENU mythrestore.xml</action>
- </button>
-
-<!--#Check for updates-->
- <button>
- <type>UPGRADE</type>
- <text>Upgrade LinHES</text>
- <action>MENU update.xml</action>
- </button>
-<!--#Check for updates-->
-</mythmenu>
diff --git a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/mainmenu.xml.patch b/abs/core-testing/mythtv/trunk/mythtv/menu-xml/mainmenu.xml.patch
deleted file mode 100644
index 74ace7b..0000000
--- a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/mainmenu.xml.patch
+++ /dev/null
@@ -1,38 +0,0 @@
---- mainmenu.xml.orig 2010-03-24 13:11:27.223119163 -0400
-+++ mainmenu.xml 2010-03-24 14:18:33.922746799 -0400
-@@ -151,32 +151,9 @@
-
- <button>
- <type>MENU_UTILITIES_SETUP</type>
-- <text>Utilities / Setup</text>
-- <text lang="IT">Impostazioni</text>
-- <text lang="ES">Configuración</text>
-- <text lang="DE">Zubehör / Konfiguration</text>
-- <text lang="IS">Uppsetning</text>
-- <text lang="NL">Configuratie</text>
-- <text lang="PT">Utensílios</text>
-- <text lang="SV">Verktyg / Inställningar</text>
-- <text lang="JA">設定</text>
-- <text lang="FI">Oheis/Asetukset</text>
-- <text lang="ZH_TW">工具/設定</text>
-- <text lang="SL">Nastavitve</text>
-- <text lang="ET">Utiliidid / sätted</text>
-- <text lang="RU">Утилиты / ÐаÑтройки</text>
-- <text lang="AR">تضبيطات</text>
-- <text lang="PL">Narzędzia / ustawienia</text>
-- <text lang="HE">×¢×–×¨×™× / הגדרות</text>
-- <text lang="HU">Eszközök / Beállítások</text>
-- <alttext lang="DE">Verschiedenes</alttext>
-- <alttext lang="SV">Inställningar</alttext>
-- <alttext lang="ET">Sätted</alttext>
-- <alttext lang="RU">ÐаÑтройки</alttext>
-- <alttext lang="AR">تضبيطات</alttext>
-- <description>Configure MythTV and plugins</description>
-- <description lang="DE">MythTV und Plugins konfigurieren</description>
-- <action>MENU util_menu.xml</action>
-+ <text>Service Menu</text>
-+ <description>LinHES Service Menu</description>
-+ <action>MENU linhes.xml</action>
- </button>
-
- <!-- <button>
diff --git a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/mythbackup.xml b/abs/core-testing/mythtv/trunk/mythtv/menu-xml/mythbackup.xml
deleted file mode 100644
index 5914b33..0000000
--- a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/mythbackup.xml
+++ /dev/null
@@ -1,20 +0,0 @@
-<mythmenu name="LinHES">
-
- <button>
- <type>BACKUP</type>
- <text>Do you wish to backup?</text>
- <action>NONE</action>
- </button>
-
- <button>
- <type>BACKUP</type>
- <text>Yes</text>
- <action>EXEC sudo /usr/LH/bin/mythbackup</action>
- </button>
-
- <button>
- <type>BACKUP</type>
- <text>No</text>
- <action>UPMENU</action>
- </button>
-</mythmenu>
diff --git a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/mythrestore.xml b/abs/core-testing/mythtv/trunk/mythtv/menu-xml/mythrestore.xml
deleted file mode 100644
index 8f5c285..0000000
--- a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/mythrestore.xml
+++ /dev/null
@@ -1,20 +0,0 @@
-<mythmenu name="LinHES">
-
- <button>
- <type>RESTORE</type>
- <text>Do you wish to restore?</text>
- <action>NONE</action>
- </button>
-
- <button>
- <type>RESTORE</type>
- <text>Yes</text>
- <action>EXEC sudo /usr/LH/bin/mythrestore</action>
- </button>
-
- <button>
- <type>BACKUP</type>
- <text>No</text>
- <action>UPMENU</action>
- </button>
-</mythmenu>
diff --git a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/optical_menu.xml.patch b/abs/core-testing/mythtv/trunk/mythtv/menu-xml/optical_menu.xml.patch
deleted file mode 100644
index b4b1411..0000000
--- a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/optical_menu.xml.patch
+++ /dev/null
@@ -1,16 +0,0 @@
---- optical_menu.xml.orig 2009-03-23 20:05:43.000000000 +0000
-+++ optical_menu.xml 2009-03-23 20:10:02.000000000 +0000
-@@ -134,6 +134,13 @@
- </button>
-
- <button>
-+ <type>DVD_RIP</type>
-+ <text>Import video files from DVD</text>
-+ <description>Import video files from a data DVD</description>
-+ <action>EXEC /usr/LH/bin/importfiles.sh</action>
-+ </button>
-+
-+ <button>
- <type>EJECT</type>
- <text>Eject media</text>
- <text lang="IT">Espelli Media</text>
diff --git a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/original/create_patch.sh b/abs/core-testing/mythtv/trunk/mythtv/menu-xml/original/create_patch.sh
deleted file mode 100755
index 34d8b8c..0000000
--- a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/original/create_patch.sh
+++ /dev/null
@@ -1,5 +0,0 @@
-#!/bin/bash
-for i in *.xml
-do
- diff -u $i.orig $i > ../$i.patch
-done
diff --git a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/setup.xml b/abs/core-testing/mythtv/trunk/mythtv/menu-xml/setup.xml
deleted file mode 100644
index f56bb6f..0000000
--- a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/setup.xml
+++ /dev/null
@@ -1,111 +0,0 @@
-<mythmenu name="MAIN">
-
- <button>
- <type>SETUP_GENERAL</type>
- <text>1. General</text>
- <text lang="IT">1. Generale</text>
- <text lang="PT">1. Geral</text>
- <text lang="SV">1. Generellt</text>
- <text lang="JA">1. 一般</text>
- <text lang="DE">1. Allgemeines</text>
- <text lang="FI">1. Yleiset</text>
- <text lang="FR">1. Général</text>
- <text lang="SI">1. Splošno</text>
- <text lang="ET">1. Ãœldine</text>
- <text lang="NB">1 Generelt</text>
- <text lang="DK">1. Generelt</text>
- <text lang="ES">1. General</text>
- <text lang="CZ">1. Obecný</text>
- <text lang="RU">1. Общие</text>
- <action>GENERAL</action>
- </button>
-
- <button>
- <type>SETUP_CAPTURE_CARDS</type>
- <text>2. Capture cards</text>
- <text lang="IT">2. Schede di Acquisizione</text>
- <text lang="PT">2. Placas de Captura</text>
- <text lang="SV">2. TV-kort</text>
- <text lang="JA">2. キャプãƒãƒ£ã‚«ãƒ¼ãƒ‰</text>
- <text lang="DE">2. TV-Karten</text>
- <text lang="FI">2. TV-kortit</text>
- <text lang="FR">2. Cartes d'acquisition</text>
- <text lang="SI">2. Kartice za zajem</text>
- <text lang="ET">2. TV-kaardid</text>
- <text lang="NB">2 TV-kort</text>
- <text lang="DK">2. TV-kort</text>
- <text lang="ES">2. Capturadoras</text>
- <text lang="CZ">2. Zachytávací karty</text>
- <text lang="RU">2. Карты захвата</text>
- <action>CAPTURE CARDS</action>
- </button>
-
- <button>
- <type>SETUP_VIDEO_SOURCES</type>
- <text>3. Video sources</text>
- <text lang="IT">3. Fonte Video</text>
- <text lang="PT">3. Fontes de Vídeo</text>
- <text lang="SV">3. Videokällor</text>
- <text lang="JA">3. ビデオソース</text>
- <text lang="DE">3. Videoquellen</text>
- <text lang="FI">3. Kuvanlähteet</text>
- <text lang="FR">3. Sources vidéo</text>
- <text lang="SI">3. Video viri</text>
- <text lang="ET">3. Videosisendid</text>
- <text lang="NB">3 Videokilder</text>
- <text lang="DK">3. Videokilder</text>
- <text lang="ES">3. Fuentes de Vídeo</text>
- <text lang="CZ">3. Zdroje obrazu</text>
- <text lang="RU">3. Видео иÑточники</text>
- <action>VIDEO SOURCES</action>
- </button>
-
- <button>
- <type>SETUP_INPUT_CONNECTIONS</type>
- <text>4. Input connections</text>
- <text lang="IT">4. Connessioni di Ingresso</text>
- <text lang="PT">4. Ligações de Entrada</text>
- <text lang="SV">4. Anslutningar</text>
- <text lang="JA">4. 入力ã¨ã‚½ãƒ¼ã‚¹ã®æŽ¥ç¶š</text>
- <text lang="DE">4. Verknüpfungen</text>
- <text lang="FI">4. Sisääntuloasetukset</text>
- <text lang="FR">4. Entrées Vidéos</text>
- <text lang="SI">4. Vhodne povezave</text>
- <text lang="ET">4. Sisendite ühendused</text>
- <text lang="NB">4 Inndata</text>
- <text lang="DK">4. Indgange</text>
- <text lang="ES">4. Conexiones</text>
- <text lang="CZ">4. Připojení vstupů</text>
- <text lang="RU">4. Соединение входов</text>
- <action>CARD INPUTS</action>
- </button>
-
- <button>
- <type>SETUP_CHANNEL_EDITOR</type>
- <text>5. Channel Editor</text>
- <text lang="IT">5. Modifica Canali</text>
- <text lang="SV">5. Kanaleditor</text>
- <text lang="JA">5. ãƒãƒ£ãƒ³ãƒãƒ«è¨­å®š</text>
- <text lang="DE">5. Sender bearbeiten</text>
- <text lang="FI">5. Kanavanviritys</text>
- <text lang="FR">5. Editeur de chaînes</text>
- <text lang="SI">5. Urejanje kanalov</text>
- <text lang="ET">5. Kanaliredaktor</text>
- <text lang="NB">5 Kanalredigerer</text>
- <text lang="DK">5. Kanal opsætning</text>
- <text lang="ES">5. Editor Canales</text>
- <text lang="CZ">5. Editor kanálů</text>
- <text lang="RU">5. Редактор каналов</text>
- <action>CHANNEL EDITOR</action>
- </button>
-
- <button>
- <type>SETUP_STORAGE_GROUPS</type>
- <text>6. Storage Directories</text>
- <text lang="IT">6. Cartelle</text>
- <text lang="FI">Tallennusryhmät</text>
- <text lang="SV">Lagringsgrupper</text>
- <action>STORAGE GROUPS</action>
- </button>
-
-</mythmenu>
diff --git a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/siriusmenu.xml b/abs/core-testing/mythtv/trunk/mythtv/menu-xml/siriusmenu.xml
deleted file mode 100644
index e317b36..0000000
--- a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/siriusmenu.xml
+++ /dev/null
@@ -1,419 +0,0 @@
-<mythmenu name="SIRIUS">
- <button>
- <type>MUSIC</type>
- <text>Sirius Hits 1</text>
- <action>EXEC /usr/bin/cliSipie siriushits1</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>StarLite</text>
- <action>EXEC /usr/bin/cliSipie starlite</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Sirius Love</text>
- <action>EXEC /usr/bin/cliSipie siriuslove</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Movin EZ</text>
- <action>EXEC /usr/bin/cliSipie movineasy</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Sirius Gold</text>
- <action>EXEC /usr/bin/cliSipie siriusgold</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>'60s Vibrations</text>
- <action>EXEC /usr/bin/cliSipie 60svibrations</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Totally '70s</text>
- <action>EXEC /usr/bin/cliSipie totally70s</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Big '80s</text>
- <action>EXEC /usr/bin/cliSipie big80s</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>ThePulse</text>
- <action>EXEC /usr/bin/cliSipie thepulse</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Bridge</text>
- <action>EXEC /usr/bin/cliSipie thebridge</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>BBC Radio 1</text>
- <action>EXEC /usr/bin/cliSipie bbcradio1</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Super Shuffle</text>
- <action>EXEC /usr/bin/cliSipie supershuffle</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Elvis Radio</text>
- <action>EXEC /usr/bin/cliSipie elvisradio</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Classic Vinyl</text>
- <action>EXEC /usr/bin/cliSipie classicvinyl</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Classic Rewind</text>
- <action>EXEC /usr/bin/cliSipie classicrewind</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>TheVault</text>
- <action>EXEC /usr/bin/cliSipie thevault</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Jam_ON</text>
- <action>EXEC /usr/bin/cliSipie jamon</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Spectrum</text>
- <action>EXEC /usr/bin/cliSipie thespectrum</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>BuzzSaw</text>
- <action>EXEC /usr/bin/cliSipie buzzsaw</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Octane</text>
- <action>EXEC /usr/bin/cliSipie octane</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Alt Nation</text>
- <action>EXEC /usr/bin/cliSipie altnation</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>1st Wave</text>
- <action>EXEC /usr/bin/cliSipie firstwave</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Hair Nation</text>
- <action>EXEC /usr/bin/cliSipie hairnation</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>'90s Alternative</text>
- <action>EXEC /usr/bin/cliSipie 90salternative</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Garage</text>
- <action>EXEC /usr/bin/cliSipie undergroundgarage</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Left of Center</text>
- <action>EXEC /usr/bin/cliSipie leftofcenter</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Hard Attack</text>
- <action>EXEC /usr/bin/cliSipie hardattack</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Faction</text>
- <action>EXEC /usr/bin/cliSipie faction</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Punk</text>
- <action>EXEC /usr/bin/cliSipie punk</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>The Coffee House</text>
- <action>EXEC /usr/bin/cliSipie coffeehouse</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Margaritaville</text>
- <action>EXEC /usr/bin/cliSipie radiomargaritaville</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Sirius Disorder</text>
- <action>EXEC /usr/bin/cliSipie siriusdisorder</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Reggae</text>
- <action>EXEC /usr/bin/cliSipie reggaerhythms</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Area 33</text>
- <action>EXEC /usr/bin/cliSipie area33</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Boombox</text>
- <action>EXEC /usr/bin/cliSipie boombox</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Chill</text>
- <action>EXEC /usr/bin/cliSipie chill</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>The Beat</text>
- <action>EXEC /usr/bin/cliSipie thebeat</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Strobe</text>
- <action>EXEC /usr/bin/cliSipie thestrobe</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Hip-Hop Nation</text>
- <action>EXEC /usr/bin/cliSipie hiphopnation</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>BackSpin</text>
- <action>EXEC /usr/bin/cliSipie backspin</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Shade 45</text>
- <action>EXEC /usr/bin/cliSipie shade45</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Hot Jamz</text>
- <action>EXEC /usr/bin/cliSipie hotjamz</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Heart &amp; Soul</text>
- <action>EXEC /usr/bin/cliSipie heartandsoul</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>SoulTown</text>
- <action>EXEC /usr/bin/cliSipie soultown</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>New Country</text>
- <action>EXEC /usr/bin/cliSipie newcountry</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Prime Country</text>
- <action>EXEC /usr/bin/cliSipie primecountry</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Roadhouse</text>
- <action>EXEC /usr/bin/cliSipie theroadhouse</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Outlaw Country</text>
- <action>EXEC /usr/bin/cliSipie outlawcountry</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Bluegrass</text>
- <action>EXEC /usr/bin/cliSipie bluegrass</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Spirit</text>
- <action>EXEC /usr/bin/cliSipie spirit</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Praise</text>
- <action>EXEC /usr/bin/cliSipie praise</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Planet Jazz</text>
- <action>EXEC /usr/bin/cliSipie planetjazz</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>JazzCafe</text>
- <action>EXEC /usr/bin/cliSipie jazzcafe</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>PureJazz</text>
- <action>EXEC /usr/bin/cliSipie purejazz</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Spa 73</text>
- <action>EXEC /usr/bin/cliSipie spa73</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Blues</text>
- <action>EXEC /usr/bin/cliSipie siriusblues</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Siriusly Sinatra</text>
- <action>EXEC /usr/bin/cliSipie siriuslysinatra</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Broadway's Best</text>
- <action>EXEC /usr/bin/cliSipie broadwaysbest</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Symphony Hall</text>
- <action>EXEC /usr/bin/cliSipie symphonyhall</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Met Opera Radio</text>
- <action>EXEC /usr/bin/cliSipie metropolitanopera</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Sirius Pops</text>
- <action>EXEC /usr/bin/cliSipie siriuspops</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Universo Latino</text>
- <action>EXEC /usr/bin/cliSipie universolatino</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Rumbon</text>
- <action>EXEC /usr/bin/cliSipie rumbon</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Martha Stewart</text>
- <action>EXEC /usr/bin/cliSipie marthastewartlivingradio</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Sirius Stars</text>
- <action>EXEC /usr/bin/cliSipie siriusstars</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>OutQ Gay Radio</text>
- <action>EXEC /usr/bin/cliSipie siriusoutq</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Patriot</text>
- <action>EXEC /usr/bin/cliSipie siriuspatriot</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Left</text>
- <action>EXEC /usr/bin/cliSipie siriusleft</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>CNN</text>
- <action>EXEC /usr/bin/cliSipie cnn</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>wrn</text>
- <action>EXEC /usr/bin/cliSipie wrn</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Blue Collar Comedy</text>
- <action>EXEC /usr/bin/cliSipie bluecollarcomedy</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Raw Dog Comedy</text>
- <action>EXEC /usr/bin/cliSipie rawdog</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Laugh Break Comedy</text>
- <action>EXEC /usr/bin/cliSipie laughbreak</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>thefoxxhole</text>
- <action>EXEC /usr/bin/cliSipie thefoxxhole</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>lime</text>
- <action>EXEC /usr/bin/cliSipie lime</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Kids Stuff</text>
- <action>EXEC /usr/bin/cliSipie kidsstuff</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Catholic Channel</text>
- <action>EXEC /usr/bin/cliSipie thecatholicchannel</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>EWTN</text>
- <action>EXEC /usr/bin/cliSipie ewtnglobal</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>christiantalk</text>
- <action>EXEC /usr/bin/cliSipie christiantalk</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Sirius NFL Radio</text>
- <action>EXEC /usr/bin/cliSipie siriusnflradio</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Maxim Radio</text>
- <action>EXEC /usr/bin/cliSipie maximradio</action>
- </button>
- <button>
- <type>MUSIC</type>
- <text>Cosmo Radio</text>
- <action>EXEC /usr/bin/cliSipie cosmopolitanradio</action>
- </button>
- <button>
- <type>TV_DELETE</type>
- <text>Stop Listening</text>
- <action>EXEC /usr/bin/sipie_kill</action>
- </button>
-
-</mythmenu>
-
diff --git a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/update.xml b/abs/core-testing/mythtv/trunk/mythtv/menu-xml/update.xml
deleted file mode 100644
index 5b28833..0000000
--- a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/update.xml
+++ /dev/null
@@ -1,20 +0,0 @@
-<mythmenu name="LinHES">
-
- <button>
- <type>UPGRADE</type>
- <text>Check for updates?</text>
- <action>NONE</action>
- </button>
-
- <button>
- <type>UPGRADE</type>
- <text>Yes</text>
- <action>EXEC sudo /usr/LH/bin/linhes_update.sh</action>
- </button>
-
- <button>
- <type>UPGRADE</type>
- <text>No</text>
- <action>UPMENU</action>
- </button>
-</mythmenu>
diff --git a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/update2.xml b/abs/core-testing/mythtv/trunk/mythtv/menu-xml/update2.xml
deleted file mode 100644
index 2ab82ea..0000000
--- a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/update2.xml
+++ /dev/null
@@ -1,26 +0,0 @@
-<mythmenu name="LinHES">
-
- <button>
- <type>UPGRADE</type>
- <text>Perform updates?</text>
- <action>NONE</action>
- </button>
-
- <button>
- <type>UPGRADE</type>
- <text>Yes</text>
- <action>EXEC sudo /usr/LH/bin/linhes_update2.sh</action>
- </button>
-
- <button>
- <type>UPGRADE</type>
- <text>No</text>
- <action>UPMENU</action>
- </button>
-
- <button>
- <type>UPGRADE</type>
- <text>View files to be upgraded.</text>
- <action>EXEC sudo /usr/LH/bin/linhes_update3.sh</action>
- </button>
-</mythmenu>
diff --git a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/util_menu.xml.patch b/abs/core-testing/mythtv/trunk/mythtv/menu-xml/util_menu.xml.patch
deleted file mode 100644
index 3a1072a..0000000
--- a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/util_menu.xml.patch
+++ /dev/null
@@ -1,16 +0,0 @@
---- util_menu.xml.orig 2009-03-23 18:43:18.000000000 +0000
-+++ util_menu.xml 2009-03-23 20:16:56.000000000 +0000
-@@ -56,6 +56,13 @@
- </button>
-
- <button>
-+ <type>VIDEO_SCREENSHOOTER</type>
-+ <text>Thumbnail Generator</text>
-+ <description>Generate thumbnail images for videos</description>
-+ <action>EXEC /usr/LH/bin/shootscreens-mythtv.sh</action>
-+ </button>
-+
-+ <button>
- <type>SETUP_KEYS</type>
- <text>Edit Keys</text>
- <text lang="IT">Modifica Tasti</text>
diff --git a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/xmmenu.xml b/abs/core-testing/mythtv/trunk/mythtv/menu-xml/xmmenu.xml
deleted file mode 100644
index 6b26d11..0000000
--- a/abs/core-testing/mythtv/trunk/mythtv/menu-xml/xmmenu.xml
+++ /dev/null
@@ -1,574 +0,0 @@
-<!-- Current as of April 25, 2007 -->
-<mythmenu name="XM">
-
- <button>
- <type>MUSIC</type>
- <text>The '40s</text>
- <action>EXEC /usr/bin/xamp kill 4</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>The '50s</text>
- <action>EXEC /usr/bin/xamp kill 5</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>The '60s</text>
- <action>EXEC /usr/bin/xamp kill 6</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>The '70s</text>
- <action>EXEC /usr/bin/xamp kill 7</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>The '80s</text>
- <action>EXEC /usr/bin/xamp kill 8</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>The '90s</text>
- <action>EXEC /usr/bin/xamp kill 9</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>America</text>
- <action>EXEC /usr/bin/xamp kill 10</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>X Country</text>
- <action>EXEC /usr/bin/xamp kill 12</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Willie's Place</text>
- <action>EXEC /usr/bin/xamp kill 13</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Bluegrass Junction</text>
- <action>EXEC /usr/bin/xamp kill 14</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>The Village</text>
- <action>EXEC /usr/bin/xamp kill 15</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Highway 16</text>
- <action>EXEC /usr/bin/xamp kill 16</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>US Country</text>
- <action>EXEC /usr/bin/xamp kill 17</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>20 on 20</text>
- <action>EXEC /usr/bin/xamp kill 20</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>The Heart</text>
- <action>EXEC /usr/bin/xamp kill 23</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>The Blend</text>
- <action>EXEC /usr/bin/xamp kill 25</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Flight 26</text>
- <action>EXEC /usr/bin/xamp kill 26</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Cinemagic</text>
- <action>EXEC /usr/bin/xamp kill 27</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>On Broadway</text>
- <action>EXEC /usr/bin/xamp kill 28</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>U-Pop</text>
- <action>EXEC /usr/bin/xamp kill 29</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>XM Hitlist</text>
- <action>EXEC /usr/bin/xamp kill 30</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Torch</text>
- <action>EXEC /usr/bin/xamp kill 31</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>The Message</text>
- <action>EXEC /usr/bin/xamp kill 32</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Spirit</text>
- <action>EXEC /usr/bin/xamp kill 33</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>enLighten</text>
- <action>EXEC /usr/bin/xamp kill 34</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Deep Tracks</text>
- <action>EXEC /usr/bin/xamp kill 40</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Boneyard</text>
- <action>EXEC /usr/bin/xamp kill 41</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>XM Liquid Metal</text>
- <action>EXEC /usr/bin/xamp kill 42</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>XMU</text>
- <action>EXEC /usr/bin/xamp kill 43</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Fred</text>
- <action>EXEC /usr/bin/xamp kill 44</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>XM Cafe</text>
- <action>EXEC /usr/bin/xamp kill 45</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Top Tracks</text>
- <action>EXEC /usr/bin/xamp kill 46</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Ethel</text>
- <action>EXEC /usr/bin/xamp kill 47</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Squizz</text>
- <action>EXEC /usr/bin/xamp kill 48</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Big Tracks</text>
- <action>EXEC /usr/bin/xamp kill 49</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>The Loft</text>
- <action>EXEC /usr/bin/xamp kill 50</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>XM Music Lab</text>
- <action>EXEC /usr/bin/xamp kill 51</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>The Verge</text>
- <action>EXEC /usr/bin/xamp kill 52</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Fungus</text>
- <action>EXEC /usr/bin/xamp kill 53</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Lucy</text>
- <action>EXEC /usr/bin/xamp kill 54</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Soul Street</text>
- <action>EXEC /usr/bin/xamp kill 60</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>The Flow</text>
- <action>EXEC /usr/bin/xamp kill 61</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Suite 62</text>
- <action>EXEC /usr/bin/xamp kill 62</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>The Groove</text>
- <action>EXEC /usr/bin/xamp kill 64</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>The Rhyme</text>
- <action>EXEC /usr/bin/xamp kill 65</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>RAW</text>
- <action>EXEC /usr/bin/xamp kill 66</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>The City</text>
- <action>EXEC /usr/bin/xamp kill 67</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>The Heat</text>
- <action>EXEC /usr/bin/xamp kill 68</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Real Jazz</text>
- <action>EXEC /usr/bin/xamp kill 70</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Watercolors</text>
- <action>EXEC /usr/bin/xamp kill 71</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Beyond Jazz</text>
- <action>EXEC /usr/bin/xamp kill 72</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>High Standards</text>
- <action>EXEC /usr/bin/xamp kill 73</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Bluesville</text>
- <action>EXEC /usr/bin/xamp kill 74</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Hear Music</text>
- <action>EXEC /usr/bin/xamp kill 75</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Fine Tuning</text>
- <action>EXEC /usr/bin/xamp kill 76</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Audio Visions</text>
- <action>EXEC /usr/bin/xamp kill 77</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Escape</text>
- <action>EXEC /usr/bin/xamp kill 78</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>On The Rocks</text>
- <action>EXEC /usr/bin/xamp kill 79</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>The Move</text>
- <action>EXEC /usr/bin/xamp kill 80</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>BPM</text>
- <action>EXEC /usr/bin/xamp kill 81</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>The System</text>
- <action>EXEC /usr/bin/xamp kill 82</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Chrome</text>
- <action>EXEC /usr/bin/xamp kill 83</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>XM-Chill</text>
- <action>EXEC /usr/bin/xamp kill 84</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Fuego</text>
- <action>EXEC /usr/bin/xamp kill 90</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Viva</text>
- <action>EXEC /usr/bin/xamp kill 91</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Aguila</text>
- <action>EXEC /usr/bin/xamp kill 92</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Caliente</text>
- <action>EXEC /usr/bin/xamp kill 94</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Luna</text>
- <action>EXEC /usr/bin/xamp kill 95</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Air Musique</text>
- <action>EXEC /usr/bin/xamp kill 100</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>The Joint</text>
- <action>EXEC /usr/bin/xamp kill 101</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Sur La Route</text>
- <action>EXEC /usr/bin/xamp kill 102</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>World Zone</text>
- <action>EXEC /usr/bin/xamp kill 103</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Ngoma</text>
- <action>EXEC /usr/bin/xamp kill 104</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>XM Classics</text>
- <action>EXEC /usr/bin/xamp kill 110</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Vox</text>
- <action>EXEC /usr/bin/xamp kill 112</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>XM Pops</text>
- <action>EXEC /usr/bin/xamp kill 113</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>XM Kids</text>
- <action>EXEC /usr/bin/xamp kill 116</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Bob Edwards Show</text>
- <action>EXEC /usr/bin/xamp kill 133</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>XM Comedy</text>
- <action>EXEC /usr/bin/xamp kill 150</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Laugh USA</text>
- <action>EXEC /usr/bin/xamp kill 151</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Special X</text>
- <action>EXEC /usr/bin/xamp kill 154</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>The Agenda</text>
- <action>EXEC /usr/bin/xamp kill 134</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Oprah and Friends</text>
- <action>EXEC /usr/bin/xamp kill 156</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>The Virus</text>
- <action>EXEC /usr/bin/xamp kill 202</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>1 Hit Wonders</text>
- <action>EXEC /usr/bin/xamp kill 300</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Metalcore</text>
- <action>EXEC /usr/bin/xamp kill 301</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>New Indie First</text>
- <action>EXEC /usr/bin/xamp kill 302</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Late Night Mix</text>
- <action>EXEC /usr/bin/xamp kill 303</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Sessions@AOL</text>
- <action>EXEC /usr/bin/xamp kill 304</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>Shuffle</text>
- <action>EXEC /usr/bin/xamp kill 305</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>New Rock First</text>
- <action>EXEC /usr/bin/xamp kill 306</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>New Country First</text>
- <action>EXEC /usr/bin/xamp kill 307</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>New Hip Hop First</text>
- <action>EXEC /usr/bin/xamp kill 308</action>
- </button>
-
- <button>
- <type>MUSIC</type>
- <text>New Pop First</text>
- <action>EXEC /usr/bin/xamp kill 309</action>
- </button>
-
- <button>
- <type>TV_DELETE</type>
- <text>Stop Listening</text>
- <action>EXEC /usr/bin/xamp kill</action>
- </button>
-
-</mythmenu>
diff --git a/abs/core-testing/mythtv/trunk/mythtv/myth.sh b/abs/core-testing/mythtv/trunk/mythtv/myth.sh
deleted file mode 100755
index fb7122c..0000000
--- a/abs/core-testing/mythtv/trunk/mythtv/myth.sh
+++ /dev/null
@@ -1,4 +0,0 @@
-export PATH=$PATH:/usr/local/bin
-# set core file size to 0
-ulimit -c 0
-export MALLOC_CHECK_=0 \ No newline at end of file
diff --git a/abs/core-testing/mythtv/trunk/mythtv/mythbackend b/abs/core-testing/mythtv/trunk/mythtv/mythbackend
deleted file mode 100755
index 93773a2..0000000
--- a/abs/core-testing/mythtv/trunk/mythtv/mythbackend
+++ /dev/null
@@ -1,38 +0,0 @@
-#!/bin/bash
-
-. /etc/rc.conf
-. /etc/rc.d/functions
-
-PID=`pidof -o %PPID /usr/bin/mythbackend`
-case "$1" in
- start)
- stat_busy "Starting MythTV Backend"
- [ ! -e /var/run/mysqld.pid ] && echo -n "mysqld not started" && stat_fail && exit
- [ -z "$PID" ] && /usr/bin/mythbackend -d -l /var/log/mythbackend.log -v important
- if [ $? -gt 0 ]; then
- stat_fail
- else
- echo $PID > /var/run/mythbackend.pid
- add_daemon mythbackend
- stat_done
- fi
- ;;
- stop)
- stat_busy "Stopping MythTV Backend"
- [ ! -z "$PID" ] && kill $PID &>/dev/null
- if [ $? -gt 0 ]; then
- stat_fail
- else
- rm_daemon mythbackend
- stat_done
- fi
- ;;
- restart)
- $0 stop
- sleep 1s
- $0 start
- ;;
- *)
- echo "usage: $0 {start|stop|restart}"
-esac
-exit 0
diff --git a/abs/core-testing/mythtv/trunk/mythtv/mythbackend.lr b/abs/core-testing/mythtv/trunk/mythtv/mythbackend.lr
deleted file mode 100644
index 4f218bc..0000000
--- a/abs/core-testing/mythtv/trunk/mythtv/mythbackend.lr
+++ /dev/null
@@ -1,9 +0,0 @@
-/var/log/mythtv/mythbackend.log {
- copytruncate
- daily
- size 10M
- missingok
- rotate 7
- compress
- notifempty
-}
diff --git a/abs/core-testing/mythtv/trunk/mythtv/mythbackend.sh b/abs/core-testing/mythtv/trunk/mythtv/mythbackend.sh
deleted file mode 100755
index e7a7b70..0000000
--- a/abs/core-testing/mythtv/trunk/mythtv/mythbackend.sh
+++ /dev/null
@@ -1,117 +0,0 @@
-#!/bin/bash
-#
-# /etc/rc.d/init.d/mythbackend
-#
-# Starts the mythbackend as a daemon
-#
-# chkconfig: 345 90 10
-# description: Starts the mythbackend process as a daemon after the XWindows \
-# system is started, in runlevel 5. This allows scheduled \
-# recordings to occur without manual intervention.
-# processname: mythbackend
-
-# Copyright (c) by Michael Thomson <linux at m-thomson dot net>
-# With thanks to Stu Tomlinson <stu at nosnilmot dot com>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-
-# Default values to use if none are supplied in the config file.
-# User who should start the mythbackend processes
-MBE_USER="root"
-# Directory holding the mythbackend binary
-MBE_LOCATION="/usr/local/bin/"
-# Name of mythbackend binary
-MBE_PROG="mythbackend"
-# Full path to mythbackend log file
-MBE_LOGFILE="/var/log/mythtv/mythbackend.log"
-
-# Source function library.
-. /etc/init.d/functions
-
-# Source config file if available
-if [ -f "/etc/sysconfig/mythbackend" ]; then
- . /etc/sysconfig/mythbackend
-fi
-
-test -x ${MBE_LOCATION}${MBE_PROG} || exit 0
-
-RETVAL=0
-
-#
-# See how we were called.
-#
-
-start() {
- # Check if mythbackend is already running
- if [ ! -f /var/lock/subsys/${MBE_PROG} ]; then
- echo -n "Starting ${MBE_PROG}: "
- # /usr/local/bin/mythbackend -d -l /some/log/file
- #daemon --user ${MBE_USER} ${MBE_LOCATION}${MBE_PROG} -d -l ${MBE_LOGFILE}
- ${MBE_LOCATION}${MBE_PROG} -d -l ${MBE_LOGFILE}
- RETVAL=$?
- [ $RETVAL -eq 0 ] && touch /var/lock/subsys/${MBE_PROG}
- echo
- fi
- return $RETVAL
-}
-
-stop() {
- echo -n "Stopping ${MBE_PROG}: "
- killproc ${MBE_LOCATION}${MBE_PROG}
- RETVAL=$?
- [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/${MBE_PROG}
- echo
- return $RETVAL
-}
-
-
-restart() {
- stop
- start
-}
-
-reload() {
- restart
-}
-
-status_at() {
- status ${MBE_LOCATION}${MBE_PROG}
-}
-
-case "$1" in
-start)
- start
- ;;
-stop)
- stop
- ;;
-reload|restart)
- restart
- ;;
-condrestart)
- if [ -f /var/lock/subsys/${MBE_PROG} ]; then
- restart
- fi
- ;;
-status)
- status_at
- ;;
-*)
- echo "Usage: $0 {start|stop|restart|condrestart|status}"
- exit 1
-esac
-
-exit $?
-exit $RETVAL
diff --git a/abs/core-testing/mythtv/trunk/mythtv/mythfrontend.lr b/abs/core-testing/mythtv/trunk/mythtv/mythfrontend.lr
deleted file mode 100644
index 1580533..0000000
--- a/abs/core-testing/mythtv/trunk/mythtv/mythfrontend.lr
+++ /dev/null
@@ -1,9 +0,0 @@
-/var/log/mythtv/mythfrontend.log {
- copytruncate
- daily
- size 10M
- missingok
- rotate 7
- compress
- notifempty
-}
diff --git a/abs/core-testing/mythtv/trunk/mythtv/mythtv.install b/abs/core-testing/mythtv/trunk/mythtv/mythtv.install
deleted file mode 100755
index 87507a5..0000000
--- a/abs/core-testing/mythtv/trunk/mythtv/mythtv.install
+++ /dev/null
@@ -1,30 +0,0 @@
-# arg 1: the new package version
-post_install() {
- if [ ! -d /var/log/mythtv ]
- then
- mkdir -p /var/log/mythv
- chown -R mythtv /var/log/mythtv
- echo "---" > /var/log/mythtv/mythbackend.log
- chown mythtv /var/log/mythtv/mythbackend.log
-
- fi
-}
-
-post_upgrade() {
- if [ ! -d /var/log/mythtv ]
- then
- mkdir -p /var/log/mythv
- chown -R mythtv /var/log/mythtv
- fi
-}
-
-
-# arg 1: the old package version
-post_remove() {
- /bin/true
-
-}
-
-op=$1
-shift
-$op $*
diff --git a/abs/core-testing/mythtv/trunk/mythtv/pretty b/abs/core-testing/mythtv/trunk/mythtv/pretty
deleted file mode 100755
index 7e0ab21..0000000
--- a/abs/core-testing/mythtv/trunk/mythtv/pretty
+++ /dev/null
@@ -1,9 +0,0 @@
-#!/bin/bash
-if [ -f /usr/share/mythtv/contrib/user_jobs/mythlink.pl ]
-then
- su - mythtv -c "perl /usr/share/mythtv/contrib/user_jobs/mythlink.pl --link /myth/pretty"
-elif [ -f /usr/share/mythtv/contrib/user_jobs/mythrename.pl ]
-then
- su - mythtv -c "perl /usr/share/mythtv/contrib/user_jobs/mythrename.pl --link /myth/pretty"
-fi
-
diff --git a/abs/core-testing/mythtv/trunk/mythtv/smolt_jump.patch b/abs/core-testing/mythtv/trunk/mythtv/smolt_jump.patch
deleted file mode 100644
index 0fc452a..0000000
--- a/abs/core-testing/mythtv/trunk/mythtv/smolt_jump.patch
+++ /dev/null
@@ -1,30 +0,0 @@
-Index: programs/mythfrontend/networkcontrol.cpp
-===================================================================
---- programs/mythfrontend/networkcontrol.cpp (revision 19291)
-+++ programs/mythfrontend/networkcontrol.cpp (working copy)
-@@ -83,6 +83,7 @@
- jumpMap["zoneminderliveview"] = "ZoneMinder Live View";
- jumpMap["zoneminderevents"] = "ZoneMinder Events";
- jumpMap["snapshot"] = "ScreenShot";
-+ jumpMap["mythsmolt"] = "MythSmolt";
-
- // These jump point names match the (lowercased) locations from gContext
- jumpMap["channelrecpriority"] = "Channel Recording Priorities";
-@@ -191,7 +192,7 @@
- pthread_create(&command_thread, NULL, CommandThread, this);
-
- gContext->addListener(this);
--
-+
- connect(this, SIGNAL(newConnection()), this, SLOT(newConnection()));
- }
-
-@@ -307,7 +308,7 @@
- cs = new QTextStream(s);
- cs->setCodec("UTF-8");
- }
--
-+
- if (client)
- {
- closedOldConn = true;
diff --git a/abs/core-testing/mythtv/trunk/mythvideo/PKGBUILD b/abs/core-testing/mythtv/trunk/mythvideo/PKGBUILD
deleted file mode 100644
index 951a427..0000000
--- a/abs/core-testing/mythtv/trunk/mythvideo/PKGBUILD
+++ /dev/null
@@ -1,51 +0,0 @@
-pkgname=mythvideo-svn
-pkgver=23790
-pkgrel=1
-pkgdesc="Video playback and browsing plugin for MythTV"
-url="http://www.mythtv.org"
-license="GPL"
-arch=('i686' 'x86_64')
-
-depends=('mythtv-svn' 'mplayer' 'perlxml' 'perl-libwww' 'perl-uri' 'perl-xml-simple' 'ffmpeg')
-conflicts=('mythvideo')
-groups=('mythtv-extras-svn')
-
-patches=()
-source=(`echo ${patches[@]:0}`)
-
-_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
-_svnmod=mythplugins
-
-
-build() {
-
- svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
- svn revert -R $_svnmod
-
- cd $startdir/src/$_svnmod
-
- echo "--------------------------applying patches----------------------------------------------------"
- for i in `echo ${patches[@]:0} `
- do
- echo applying $i
- echo "-----------------------------"
- patch -Np0 -i ${startdir}/src/$i || return 1
- done
- echo "--------------------------done applying patches-----------------------------------------------"
-
- [ "$CARCH" = "i686" ] && ARCH="i686"
- [ "$CARCH" = "x86_64" ] && ARCH="x86-64"
-
- # clean up
- make distclean
-
- # configure
- ./configure --prefix=/usr --cpu=${ARCH} --disable-all --enable-opengl \
- --enable-mythvideo || return 1
-
- # build and install
- . /etc/profile
- make || return 1
- make INSTALL_ROOT=$startdir/pkg install || return 1
-
-}
diff --git a/abs/core-testing/mythtv/trunk/mythweather/PKGBUILD b/abs/core-testing/mythtv/trunk/mythweather/PKGBUILD
deleted file mode 100644
index 1bc8430..0000000
--- a/abs/core-testing/mythtv/trunk/mythweather/PKGBUILD
+++ /dev/null
@@ -1,51 +0,0 @@
-pkgname=mythweather-svn
-pkgver=23790
-pkgrel=1
-pkgdesc="Weather checking plugin for MythTV"
-url="http://www.mythtv.org"
-license="GPL"
-arch=('i686' 'x86_64')
-
-depends=('mythtv-svn' 'wget')
-conflicts=('mythweather')
-groups=('mythtv-extras-svn')
-
-patches=()
-source=(`echo ${patches[@]:0}`)
-
-_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
-_svnmod=mythplugins
-
-
-build() {
-
- svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
- svn revert -R $_svnmod
-
- cd $startdir/src/$_svnmod
-
- echo "--------------------------applying patches----------------------------------------------------"
- for i in `echo ${patches[@]:0} `
- do
- echo applying $i
- echo "-----------------------------"
- patch -Np0 -i ${startdir}/src/$i || return 1
- done
- echo "--------------------------done applying patches-----------------------------------------------"
-
- [ "$CARCH" = "i686" ] && ARCH="i686"
- [ "$CARCH" = "x86_64" ] && ARCH="x86-64"
-
- # clean up
- make distclean
-
- # configure
- ./configure --prefix=/usr --cpu=${ARCH} --disable-all --enable-opengl \
- --enable-mythweather || return 1
-
- # build and install
- . /etc/profile
- make || return 1
- make INSTALL_ROOT=$startdir/pkg install || return 1
-
-}
diff --git a/abs/core-testing/mythtv/trunk/mythweb/PKGBUILD b/abs/core-testing/mythtv/trunk/mythweb/PKGBUILD
deleted file mode 100644
index dedfcf5..0000000
--- a/abs/core-testing/mythtv/trunk/mythweb/PKGBUILD
+++ /dev/null
@@ -1,50 +0,0 @@
-pkgname=mythweb-svn
-pkgver=23790
-pkgrel=1
-pkgdesc="Web interface for MythTV's backend"
-url="http://www.mythtv.org"
-license="GPL"
-arch=('i686' 'x86_64')
-
-depends=('mythtv-svn' 'lighttpd' 'php' 'local-website')
-conflicts=('mythweb')
-groups=('mythtv-extras-svn')
-install=mythweb.install
-
-patches=()
-source=(`echo ${patches[@]:0}`)
-
-_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
-_svnmod=mythplugins
-
-DOCROOT=/data/srv/httpd/htdocs/mythweb
-
-build() {
-
- svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
- svn revert -R $_svnmod
-
- cd $startdir/src/$_svnmod
-
- echo "--------------------------applying patches----------------------------------------------------"
- for i in `echo ${patches[@]:0} `
- do
- echo applying $i
- echo "-----------------------------"
- patch -Np0 -i ${startdir}/src/$i || return 1
- done
- echo "--------------------------done applying patches-----------------------------------------------"
-
- [ "$CARCH" = "i686" ] && ARCH="i686"
- [ "$CARCH" = "x86_64" ] && ARCH="x86-64"
-
- mkdir -p $startdir/pkg/$DOCROOT/{image_cache,php_sessions}
-
-# cp -r $startdir/src/mythplugins/mythweb/* $startdir/pkg/$DOCROOT
-# cp $startdir/src/mythplugins-$pkgver/mythweb/data/.htaccess $startdir/pkg/$DOCROOT
- rsync -arp --exclude .svn --delete-excluded $startdir/src/mythplugins/mythweb/* $startdir/pkg/$DOCROOT
- rm $startdir/pkg/$DOCROOT/README
- chown -R http:users $startdir/pkg/$DOCROOT
- chmod g+rw $startdir/pkg/$DOCROOT/{image_cache,php_sessions,data}
-
-}
diff --git a/abs/core-testing/mythtv/trunk/mythweb/mythweb.install b/abs/core-testing/mythtv/trunk/mythweb/mythweb.install
deleted file mode 100644
index 470cbd1..0000000
--- a/abs/core-testing/mythtv/trunk/mythweb/mythweb.install
+++ /dev/null
@@ -1,10 +0,0 @@
-post_install() {
- echo "You must create a symlink from /home/httpd/html/mythweb/video_dir"
- echo "to your MythTV recordings directory. Don't forget to change the"
- echo "permissions so that the webserver can read those files and create"
- echo "thumbnails."
-}
-
-op=$1
-shift
-$op $*
diff --git a/abs/core-testing/mythtv/trunk/mythzoneminder/PKGBUILD b/abs/core-testing/mythtv/trunk/mythzoneminder/PKGBUILD
deleted file mode 100644
index 038007b..0000000
--- a/abs/core-testing/mythtv/trunk/mythzoneminder/PKGBUILD
+++ /dev/null
@@ -1,51 +0,0 @@
-pkgname=mythzoneminder-svn
-pkgver=23790
-pkgrel=1
-pkgdesc="Integrates ZoneMinder into MythTV"
-url="http://www.mythtv.org"
-license="GPL"
-arch=('i686' 'x86_64')
-
-depends=('mythtv-svn' 'zoneminder=1.23.3')
-conflicts=('mythzoneminder')
-groups=('mythtv-extras-svn')
-
-patches=()
-source=(`echo ${patches[@]:0}`)
-
-_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
-_svnmod=mythplugins
-
-
-build() {
-
- svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
- svn revert -R $_svnmod
-
- cd $startdir/src/$_svnmod
-
- echo "--------------------------applying patches----------------------------------------------------"
- for i in `echo ${patches[@]:0} `
- do
- echo applying $i
- echo "-----------------------------"
- patch -Np0 -i ${startdir}/src/$i || return 1
- done
- echo "--------------------------done applying patches-----------------------------------------------"
-
- [ "$CARCH" = "i686" ] && ARCH="i686"
- [ "$CARCH" = "x86_64" ] && ARCH="x86-64"
-
- # clean up
- make distclean
-
- # configure
- ./configure --prefix=/usr --cpu=${ARCH} --disable-all --enable-opengl \
- --enable-mythzoneminder || return 1
-
- # build and install
- . /etc/profile
- make || return 1
- make INSTALL_ROOT=$startdir/pkg install || return 1
-
-}